'####################################################################################################################
'*******************ArcGIS_SLD_Converter / Rel. 1.2.1****************************************************************
'*******************Class: Motherform********************************************************************************
'*******************AUTHOR: Albrecht Weiser, University of applied Sciences in Mainz, Germany 2005*******************
'The Application was part of my Diploma thesis:**********************************************************************
'"Transforming map-properties of maps in esri-data to an OGC-conformous SLD-document, for publishing the ArcGIS-map * 
'with an OGC- conformous map-server"*********************************************************************************
'ABSTRACT:
'The program so called "ArcGIS-map to SLD Converter" analyses an
'ArcMap-Project with respect to its symbolisation and assembles an SLD
'for the OGC-Web Map Service (WMS) from the gathered data. The program
'is started parallel to a running ArcMap 9.X-session. Subsequently the
'application deposits an SLD-file which complies the symbolisation of
'the available ArcMap-project. With the SLD a WMS-project may be
'classified and styled according to the preceding ArcMap-project. The
'application is written in VisualBasic.NET and uses the .NET 1.1
'Framework (plus XML files for configuration). For more informtion
'refer to: 
'http://arcmap2sld.geoinform.fh-mainz.de/ArcMap2SLDConverter_Eng.htm.
'LICENSE:
'This program is free software under the license of the GNU Lesser General Public License (LGPL) As published by the Free Software Foundation. 
'With the use and further development of this code you accept the terms of LGPL. For questions of the License refer to:
'http://www.gnu.org/licenses/lgpl.html
'DISCLAIMER:
'THE USE OF THE SOFTWARE ArcGIS-map to SLD Converter HAPPENS AT OWN RISK.
'I CANNOT ISSUE A GUARANTEE FOR ANY DISADVANTAGES (INCLUDING LOSS OF DATA; ETC.) THAT
'MAY ARISE FROM USING THIS SOFTWARE.
'DESCRIPTION:
'The about-box of the app
'CHANGES:
'14.09.2007: The creation of the class

Imports System.Reflection


Public Class AboutFrame
    Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "

    Public Sub New()
        MyBase.New()
        Me.Refresh()
        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()
        ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen

        LoadText()

    End Sub
    'berladen
    Public Sub New(ByVal language As String)
        MyBase.New()
        Me.Refresh()
        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()
        ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen
        m_cLanguage = language
        LoadText()

    End Sub

    ' Die Form berschreibt den Lschvorgang der Basisklasse, um Komponenten zu bereinigen.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Fr Windows Form-Designer erforderlich
    Private components As System.ComponentModel.IContainer

    'HINWEIS: Die folgende Prozedur ist fr den Windows Form-Designer erforderlich
    'Sie kann mit dem Windows Form-Designer modifiziert werden.
    'Verwenden Sie nicht den Code-Editor zur Bearbeitung.
    Friend WithEvents AboutLabel3 As System.Windows.Forms.Label
    Friend WithEvents AboutLabel2 As System.Windows.Forms.Label
    Friend WithEvents AboutLabel1 As System.Windows.Forms.Label
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(AboutFrame))
        Me.AboutLabel2 = New System.Windows.Forms.Label
        Me.AboutLabel1 = New System.Windows.Forms.Label
        Me.AboutLabel3 = New System.Windows.Forms.Label
        Me.SuspendLayout()
        '
        'AboutLabel2
        '
        Me.AboutLabel2.Location = New System.Drawing.Point(24, 40)
        Me.AboutLabel2.Name = "AboutLabel2"
        Me.AboutLabel2.Size = New System.Drawing.Size(424, 200)
        Me.AboutLabel2.TabIndex = 0
        '
        'AboutLabel1
        '
        Me.AboutLabel1.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.AboutLabel1.Location = New System.Drawing.Point(88, 8)
        Me.AboutLabel1.Name = "AboutLabel1"
        Me.AboutLabel1.Size = New System.Drawing.Size(280, 24)
        Me.AboutLabel1.TabIndex = 1
        '
        'AboutLabel3
        '
        Me.AboutLabel3.Location = New System.Drawing.Point(24, 248)
        Me.AboutLabel3.Name = "AboutLabel3"
        Me.AboutLabel3.Size = New System.Drawing.Size(424, 200)
        Me.AboutLabel3.TabIndex = 2
        '
        'AboutFrame
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.Color.LightBlue
        Me.ClientSize = New System.Drawing.Size(472, 453)
        Me.ControlBox = False
        Me.Controls.Add(Me.AboutLabel3)
        Me.Controls.Add(Me.AboutLabel1)
        Me.Controls.Add(Me.AboutLabel2)
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Name = "AboutFrame"
        Me.ShowInTaskbar = False
        Me.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide
        Me.Text = "About ArcMap2SLD Converter"
        Me.TopMost = True
        Me.ResumeLayout(False)

    End Sub

#End Region
    Private frmMotherform As Motherform

    Private m_cLanguage As String
    

    Private Function getVersion()
        Dim asm As System.Reflection.Assembly

        asm = System.Reflection.Assembly.GetExecutingAssembly()
        Dim sVersion As String = asm.GetName().Version.ToString()

        Return sVersion
    End Function


    Private Function LoadText() As Boolean
        frmMotherform = New Motherform


        If m_cLanguage = "Deutsch" Then
            AboutLabel1.Text = frmMotherform.m_text_ger_AboutLabel1 & getVersion()
            AboutLabel2.Text = frmMotherform.m_text_ger_AboutLabel2
            AboutLabel3.Text = frmMotherform.m_text_ger_AboutLabel3
        ElseIf m_cLanguage = "English" Then
            AboutLabel1.Text = frmMotherform.m_text_eng_AboutLabel1 & getVersion()
            AboutLabel2.Text = frmMotherform.m_text_eng_AboutLabel2
            AboutLabel3.Text = frmMotherform.m_text_eng_AboutLabel3
        End If
    End Function

    Private Sub AboutFrame_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Click
        Me.Close()
        Me.Dispose()
    End Sub

    Private Sub AboutLabel1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutLabel1.Click
        Me.Close()
        Me.Dispose()
    End Sub

    Private Sub AboutLabel2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutLabel2.Click
        Me.Close()
        Me.Dispose()
    End Sub

    Private Sub AboutLabel3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutLabel3.Click
        Me.Close()
        Me.Dispose()
    End Sub
End Class
